import java.io.*;
import java.util.*;
public class prog_b {
      public static void main (String [] args ) throws Exception {
            Scanner s = new Scanner (new File ("quotient.in"))  ;
       int a = s.nextInt();
       int b= s.nextInt ();
          int c;
          if (b==0) {
              PrintWriter p = new PrintWriter (System.out) ;
              p.print ("na nol' delit' nel'zya!!!") ;
             p.close();
          } else {  c = a/b;

            PrintWriter d =new PrintWriter (new File ("quotient.out"))  ;
          d.print (c);
              d.close();
              s.close();
          }           }
      }

